<script lang="ts">
    import type Production from '$models/Buildings/Resources/Production'

    export let building: Production

    let researchBoost = building.production.researchBoost * 100
    let naturalBoost = building.production.naturals.boost * 100
</script>

{#if building.level > 0}
    <div class="production-total">
        <p>Production :</p>
        <p title="per minutes">{building.production.total}</p>
    </div>
{/if}

{#if building.constructor.name !== 'Labs'}
    <div class="production-detail">
        {#if building.level > 0}
            <div class="line base-production">
                <p>Base production :</p>
                <p>{building.production.base}</p>
            </div>
        {/if}
        <div class="line">
            <p>Natural boost :</p>
            <p>
                {building.production.naturals.number} x {naturalBoost}%
            </p>
        </div>
        <div class="line">
            <p>Research boost :</p>
            <p>
                {researchBoost}%
            </p>
        </div>
        <div class="line bottom sum">
            <p>Total boost :</p>
            <p>
                {building.production.naturals.number * naturalBoost + researchBoost}%
            </p>
        </div>
    </div>
{/if}

<style lang="postcss">
    .production-total {
        @apply flex justify-between text-xl mb-2;
    }

    .base-production {
        @apply mb-1;
    }

    .production-detail {
        @apply mb-4;

        h3 {
            @apply font-bold text-center;
        }
        .line {
            @apply flex justify-between;
        }
    }

    .sum {
        @apply border-t border-trueGray-800 dark:border-trueGray-50;
    }
</style>
